PHPExcel_Settings

# Class: PHPExcel_Settings

Source Location: /PHPExcel/Settings.php

### Class Overview

### Constants

- CHART_RENDERER_JPGRAPH
- PCLZIP
- PDF_RENDERER_DOMPDF
- PDF_RENDERER_MPDF
- PDF_RENDERER_TCPDF
- ZIPARCHIVE

### Methods

- getCacheStorageClass
- getCacheStorageMethod
- getChartRendererName
- getChartRendererPath
- getPdfRendererName
- getPdfRendererPath
- getZipClass
- setCacheStorageMethod
- setChartRenderer
- setChartRendererName
- setChartRendererPath
- setLocale
- setPdfRenderer
- setPdfRendererName
- setPdfRendererPath
- setZipClass

### Class Details

[line 38]
[ Top ]

### Class Methods

### static method getCacheStorageClass [line 154]

`static string getCacheStorageClass( )`

Return the name of the class that is currently being used for cell cacheing

#### Tags:

return: | Name of the class currently being used for cacheing
access: | public

[ Top ]

### static method getCacheStorageMethod [line 144]

`static string getCacheStorageMethod( )`

Return the name of the method that is currently configured for cell cacheing

#### Tags:

return: | Name of the cacheing method
access: | public

[ Top ]

### static method getChartRendererName [line 239]

`static string|NULL getChartRendererName( )`

Return the Chart Rendering Library that PHPExcel is currently configured to use (e.g. jpgraph)

#### Tags:

return: | Internal reference name of the Chart Rendering Library that PHPExcel is currently configured to use e.g. PHPExcel_Settings::CHART_RENDERER_JPGRAPH
access: | public

[ Top ]

### static method getChartRendererPath [line 250]

`static string|NULL getChartRendererPath( )`

Return the directory path to the Chart Rendering Library that PHPExcel is currently configured to use

#### Tags:

return: | Directory Path to the Chart Rendering Library that PHPExcel is currently configured to use
access: | public

[ Top ]

### static method getPdfRendererName [line 317]

`static string|NULL getPdfRendererName( )`

Return the PDF Rendering Library that PHPExcel is currently configured to use (e.g. dompdf)

#### Tags:

return: | Internal reference name of the PDF Rendering Library that PHPExcel is currently configured to use e.g. PHPExcel_Settings::PDF_RENDERER_TCPDF, PHPExcel_Settings::PDF_RENDERER_DOMPDF or PHPExcel_Settings::PDF_RENDERER_MPDF
access: | public

[ Top ]

### static method getPdfRendererPath [line 328]

`static string|NULL getPdfRendererPath( )`

Return the directory path to the PDF Rendering Library that PHPExcel is currently configured to use

#### Tags:

return: | Directory Path to the PDF Rendering Library that PHPExcel is currently configured to use
access: | public

[ Top ]

### static method getZipClass [line 134]

`static string getZipClass( )`

Return the name of the Zip handler Class that PHPExcel is configured to use (PCLZip or ZipArchive) for Zip file management

#### Tags:

return: | Name of the Zip handler Class that PHPExcel is configured to use for Zip file management e.g. PHPExcel_Settings::PCLZip or PHPExcel_Settings::ZipArchive
access: | public

[ Top ]

### static method setCacheStorageMethod [line 166]

`static boolean setCacheStorageMethod( [string $method = PHPExcel_CachedObjectStorageFactory::cache_in_memory], [array $arguments = array()])`

Set the method that should be used for cell cacheing

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $method | Name of the cacheing method
array | $arguments | Optional configuration arguments for the cacheing method

[ Top ]

### static method setChartRenderer [line 191]

`static boolean setChartRenderer( string $libraryName, string $libraryBaseDir)`

Set details of the external library that PHPExcel should use for rendering charts

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $libraryName | Internal reference name of the library e.g. PHPExcel_Settings::CHART_RENDERER_JPGRAPH
string | $libraryBaseDir | Directory path to the library's base folder

[ Top ]

### static method setChartRendererName [line 205]

`static boolean setChartRendererName( string $libraryName)`

Identify to PHPExcel the external library to use for rendering charts

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $libraryName | Internal reference name of the library e.g. PHPExcel_Settings::CHART_RENDERER_JPGRAPH

[ Top ]

### static method setChartRendererPath [line 222]

`static boolean setChartRendererPath( string $libraryBaseDir)`

Tell PHPExcel where to find the external library to use for rendering charts

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $libraryBaseDir | Directory path to the library's base folder

[ Top ]

### static method setLocale [line 178]

`static boolean setLocale( [string $locale = 'en_us'])`

Set the locale code to use for formula translations and any special formatting

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $locale | The locale code to use (e.g. "fr" or "pt_br" or "en_uk")

[ Top ]

### static method setPdfRenderer [line 265]

`static boolean setPdfRenderer( string $libraryName, string $libraryBaseDir)`

Set details of the external library that PHPExcel should use for rendering PDF files

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $libraryName | Internal reference name of the library e.g. PHPExcel_Settings::PDF_RENDERER_TCPDF, PHPExcel_Settings::PDF_RENDERER_DOMPDF or PHPExcel_Settings::PDF_RENDERER_MPDF
string | $libraryBaseDir | Directory path to the library's base folder

[ Top ]

### static method setPdfRendererName [line 281]

`static boolean setPdfRendererName( string $libraryName)`

Identify to PHPExcel the external library to use for rendering PDF files

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $libraryName | Internal reference name of the library e.g. PHPExcel_Settings::PDF_RENDERER_TCPDF, PHPExcel_Settings::PDF_RENDERER_DOMPDF or PHPExcel_Settings::PDF_RENDERER_MPDF

[ Top ]

### static method setPdfRendererPath [line 298]

`static boolean setPdfRendererPath( string $libraryBaseDir)`

Tell PHPExcel where to find the external library to use for rendering PDF files

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $libraryBaseDir | Directory path to the library's base folder

[ Top ]

### static method setZipClass [line 116]

`static boolean setZipClass( string $zipClass)`

Set the Zip handler Class that PHPExcel should use for Zip file management (PCLZip or ZipArchive)

#### Tags:

return: | Success or failure
access: | public

#### Parameters:

string | $zipClass | The Zip handler class that PHPExcel should use for Zip file management e.g. PHPExcel_Settings::PCLZip or PHPExcel_Settings::ZipArchive

[ Top ]

### Class Constants

#### CHART_RENDERER_JPGRAPH = 'jpgraph'

[line 46]

Optional Chart Rendering libraries
[ Top ]

#### PCLZIP = 'PHPExcel_Shared_ZipArchive'

[line 42]

Available Zip library classes
[ Top ]

#### PDF_RENDERER_DOMPDF = 'DomPDF'

[line 50]

[ Top ]

#### PDF_RENDERER_MPDF = 'mPDF'

[line 51]

[ Top ]

#### PDF_RENDERER_TCPDF = 'tcPDF'

[line 49]

Optional PDF Rendering libraries
[ Top ]

#### ZIPARCHIVE = 'ZipArchive'

[line 43]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:36 +0200 by phpDocumentor 1.4.4